std::filesystem::path::iterator(3cxx)

NAME
std::filesystem::path::iterator - An iterator for the components of a path.

SYNOPSIS

#include <filesystem>

  Public Types

using difference_type
using iterator_category
using pointer
using reference
using value_type

  Public Member Functions

iterator (const iterator &)=default
reference operator* () const noexcept
iterator & operator++ () noexcept
iterator operator++ (int) noexcept
iterator & operator-- () noexcept
iterator operator-- (int) noexcept
pointer operator-> () const noexcept
iterator & operator= (const iterator &)=default

  Friends

void __path_iter_advance (iterator &__i, difference_type __n) noexcept
difference_type __path_iter_distance (const iterator &__first, const iterator &__last) noexcept
bool operator!= (const iterator &__lhs, const iterator &__rhs) noexcept
bool operator== (const iterator &__lhs, const iterator &__rhs) noexcept
class path

Detailed Description

An iterator for the components of a path.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.